@echo off
setlocal enabledelayedexpansion
set count=0
set folders=travel family work avatar
for /f "tokens=1,* delims=- " %%A in ('listComPorts.exe') do (
    set /a count=count+1
    set choice[!count!]=%%A
    set label[!count!]=%%B
)
echo.
echo What device do you want to flash?
echo.
for /l %%x in (1,1,!count!) do (
    echo [%%x] !choice[%%x]! [!label[%%x]!]
)
echo.
set /p idx_chosen=?
echo.
echo You chose !choice[%idx_chosen%]!, flashing now...
set device=!choice[%idx_chosen%]!

esptool.exe --chip esp32 --port %device% --baud 921600 --before default_reset --after hard_reset write_flash -z --flash_mode dio --flash_freq 80m --flash_size detect 0x1000 bootloader.bin 0x20000 tdiflasher_firmware.bin 0x9000 partition-table.bin